package com.hotent.portal.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hotent.base.entity.BaseModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 微信永久素材列表
 *
 * @company 广州宏天软件股份有限公司
 * @author 超级管理员
 * @email zhangxw@jee-soft.cn
 * @since 2021-09-07
 */
@ApiModel(value="PortalWeixinMaterial对象", description="微信永久素材列表")
@TableName("portal_weixin_material")
public class PortalWeixinMaterial extends BaseModel<PortalWeixinMaterial> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID_", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "用户凭证")
    @TableField("appid")
    private String appid;

    @ApiModelProperty(value = "标题")
    @TableField("title")
    private String title;

    @ApiModelProperty(value = "作者")
    @TableField("author")
    private String author;

    @ApiModelProperty(value = "摘要")
    @TableField("digest")
    private String digest;

    @ApiModelProperty(value = "内容")
    @TableField("content")
    private String content;

    @ApiModelProperty(value = "图文消息的原文地址，即点击“阅读原文”后的URL")
    @TableField("content_source_url")
    private String contentSourceUrl;

    @ApiModelProperty(value = "图文消息的封面图片素材id（必须是永久mediaID）")
    @TableField("thumb_media_id")
    private String thumbMediaId;

    @ApiModelProperty(value = "是否显示封面，0为false，即不显示，1为true，即显示")
    @TableField("show_cover_pic")
    private Integer showCoverPic;

    @ApiModelProperty(value = "图文页的URL")
    @TableField("url")
    private String url;

    @ApiModelProperty(value = "是否打开评论，0不打开，1打开")
    @TableField("need_open_comment")
    private Integer needOpenComment;

    @ApiModelProperty(value = "素材图片地址")
    @TableField("thumb_url")
    private String thumbUrl;

    @ApiModelProperty(value = "是否粉丝才可评论，0所有人可评论，1粉丝才可评论")
    @TableField("only_fans_can_comment")
    private Integer onlyFansCanComment;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "拉取时间")
    @TableField("pull_time")
    private LocalDateTime pullTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }
    public String getDigest() {
        return digest;
    }

    public void setDigest(String digest) {
        this.digest = digest;
    }
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
    public String getContentSourceUrl() {
        return contentSourceUrl;
    }

    public void setContentSourceUrl(String contentSourceUrl) {
        this.contentSourceUrl = contentSourceUrl;
    }
    public String getThumbMediaId() {
        return thumbMediaId;
    }

    public void setThumbMediaId(String thumbMediaId) {
        this.thumbMediaId = thumbMediaId;
    }
    public Integer getShowCoverPic() {
        return showCoverPic;
    }

    public void setShowCoverPic(Integer showCoverPic) {
        this.showCoverPic = showCoverPic;
    }
    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
    public Integer getNeedOpenComment() {
        return needOpenComment;
    }

    public void setNeedOpenComment(Integer needOpenComment) {
        this.needOpenComment = needOpenComment;
    }
    public String getThumbUrl() {
        return thumbUrl;
    }

    public void setThumbUrl(String thumbUrl) {
        this.thumbUrl = thumbUrl;
    }
    public Integer getOnlyFansCanComment() {
        return onlyFansCanComment;
    }

    public void setOnlyFansCanComment(Integer onlyFansCanComment) {
        this.onlyFansCanComment = onlyFansCanComment;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public LocalDateTime getPullTime() {
        return pullTime;
    }

    public void setPullTime(LocalDateTime pullTime) {
        this.pullTime = pullTime;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "PortalWeixinMaterial{" +
            "id=" + id +
            ", appid=" + appid +
            ", title=" + title +
            ", author=" + author +
            ", digest=" + digest +
            ", content=" + content +
            ", contentSourceUrl=" + contentSourceUrl +
            ", thumbMediaId=" + thumbMediaId +
            ", showCoverPic=" + showCoverPic +
            ", url=" + url +
            ", needOpenComment=" + needOpenComment +
            ", thumbUrl=" + thumbUrl +
            ", onlyFansCanComment=" + onlyFansCanComment +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
            ", pullTime=" + pullTime +
        "}";
    }
}
